Loading...
Searching...
No Matches
DRTPlanOverviewSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTPlanOverviewSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getCurrentFractionNumber (OFString &value, const signed long pos=0) const
| get CurrentFractionNumber (3008,0022)
OFCondition | getCurrentFractionNumber (Sint32 &value, const unsigned long pos=0) const
| get CurrentFractionNumber (3008,0022)
OFCondition | getNumberOfFractionsIncluded (Uint16 &value, const unsigned long pos=0) const
| get NumberOfFractionsIncluded (300c,0119)
OFCondition | getPlanOverviewIndex (Uint16 &value, const unsigned long pos=0) const
| get PlanOverviewIndex (300c,0117)
OFCondition | getRTPlanLabel (OFString &value, const signed long pos=0) const
| get RTPlanLabel (300a,0002)
OFCondition | getTreatmentSite (OFString &value, const signed long pos=0) const
| get TreatmentSite (3010,0077)
DRTPrescriptionOverviewSequence & | getPrescriptionOverviewSequence ()
| get PrescriptionOverviewSequence (300c,0114)
const DRTPrescriptionOverviewSequence & | getPrescriptionOverviewSequence () const
| get PrescriptionOverviewSequence (300c,0114)
DRTReferencedImageSequence & | getReferencedImageSequence ()
| get ReferencedImageSequence (0008,1140)
const DRTReferencedImageSequence & | getReferencedImageSequence () const
| get ReferencedImageSequence (0008,1140)
DRTReferencedStructureSetSequence & | getReferencedStructureSetSequence ()
| get ReferencedStructureSetSequence (300c,0060)
const DRTReferencedStructureSetSequence & | getReferencedStructureSetSequence () const
| get ReferencedStructureSetSequence (300c,0060)
DRTTreatmentSiteCodeSequence & | getTreatmentSiteCodeSequence ()
| get TreatmentSiteCodeSequence (3010,0078)
const DRTTreatmentSiteCodeSequence & | getTreatmentSiteCodeSequence () const
| get TreatmentSiteCodeSequence (3010,0078)
OFCondition | setCurrentFractionNumber (const OFString &value, const OFBool check=OFTrue)
| set CurrentFractionNumber (3008,0022)
OFCondition | setNumberOfFractionsIncluded (const Uint16 value, const unsigned long pos=0)
| set NumberOfFractionsIncluded (300c,0119)
OFCondition | setPlanOverviewIndex (const Uint16 value, const unsigned long pos=0)
| set PlanOverviewIndex (300c,0117)
OFCondition | setRTPlanLabel (const OFString &value, const OFBool check=OFTrue)
| set RTPlanLabel (300a,0002)
OFCondition | setTreatmentSite (const OFString &value, const OFBool check=OFTrue)
| set TreatmentSite (3010,0077)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmIntegerString | CurrentFractionNumber
| CurrentFractionNumber (3008,0022) vr=IS, vm=1, type=1C.
DcmUnsignedShort | NumberOfFractionsIncluded
| NumberOfFractionsIncluded (300c,0119) vr=US, vm=1, type=1C.
DcmUnsignedShort | PlanOverviewIndex
| PlanOverviewIndex (300c,0117) vr=US, vm=1, type=1.
DRTPrescriptionOverviewSequence | PrescriptionOverviewSequence
| PrescriptionOverviewSequence (300c,0114) vr=SQ, vm=1, type=2.
DcmShortString | RTPlanLabel
| RTPlanLabel (300a,0002) vr=SH, vm=1, type=2.
DRTReferencedImageSequence | ReferencedImageSequence
| ReferencedImageSequence (0008,1140) vr=SQ, vm=1, type=1C.
DRTReferencedStructureSetSequence | ReferencedStructureSetSequence
| ReferencedStructureSetSequence (300c,0060) vr=SQ, vm=1, type=1C.
DcmLongString | TreatmentSite
| TreatmentSite (3010,0077) vr=LO, vm=1, type=2.
DRTTreatmentSiteCodeSequence | TreatmentSiteCodeSequence
| TreatmentSiteCodeSequence (3010,0078) vr=SQ, vm=1, type=2.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTPlanOverviewSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTPlanOverviewSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getCurrentFractionNumber() [1/2]

OFCondition DRTPlanOverviewSequence::Item::getCurrentFractionNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CurrentFractionNumber (3008,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getCurrentFractionNumber() [2/2]

OFCondition DRTPlanOverviewSequence::Item::getCurrentFractionNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get CurrentFractionNumber (3008,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getNumberOfFractionsIncluded()

OFCondition DRTPlanOverviewSequence::Item::getNumberOfFractionsIncluded | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfFractionsIncluded (300c,0119)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPlanOverviewIndex()

OFCondition DRTPlanOverviewSequence::Item::getPlanOverviewIndex | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const

get PlanOverviewIndex (300c,0117)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## getPrescriptionOverviewSequence() [1/2]

DRTPrescriptionOverviewSequence & DRTPlanOverviewSequence::Item::getPrescriptionOverviewSequence | ( |  | ) |

inline

get PrescriptionOverviewSequence (300c,0114)

Returns
  reference to sequence element

References PrescriptionOverviewSequence.

## getPrescriptionOverviewSequence() [2/2]

const DRTPrescriptionOverviewSequence & DRTPlanOverviewSequence::Item::getPrescriptionOverviewSequence | ( |  | ) | const

inline

get PrescriptionOverviewSequence (300c,0114)

Returns
  const reference to sequence element

References PrescriptionOverviewSequence.

## getReferencedImageSequence() [1/2]

DRTReferencedImageSequence & DRTPlanOverviewSequence::Item::getReferencedImageSequence | ( |  | ) |

inline

get ReferencedImageSequence (0008,1140)

Returns
  reference to sequence element

References ReferencedImageSequence.

## getReferencedImageSequence() [2/2]

const DRTReferencedImageSequence & DRTPlanOverviewSequence::Item::getReferencedImageSequence | ( |  | ) | const

inline

get ReferencedImageSequence (0008,1140)

Returns
  const reference to sequence element

References ReferencedImageSequence.

## getReferencedStructureSetSequence() [1/2]

DRTReferencedStructureSetSequence & DRTPlanOverviewSequence::Item::getReferencedStructureSetSequence | ( |  | ) |

inline

get ReferencedStructureSetSequence (300c,0060)

Returns
  reference to sequence element

References ReferencedStructureSetSequence.

## getReferencedStructureSetSequence() [2/2]

const DRTReferencedStructureSetSequence & DRTPlanOverviewSequence::Item::getReferencedStructureSetSequence | ( |  | ) | const

inline

get ReferencedStructureSetSequence (300c,0060)

Returns
  const reference to sequence element

References ReferencedStructureSetSequence.

## getRTPlanLabel()

OFCondition DRTPlanOverviewSequence::Item::getRTPlanLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RTPlanLabel (300a,0002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTreatmentSite()

OFCondition DRTPlanOverviewSequence::Item::getTreatmentSite | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TreatmentSite (3010,0077)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getTreatmentSiteCodeSequence() [1/2]

DRTTreatmentSiteCodeSequence & DRTPlanOverviewSequence::Item::getTreatmentSiteCodeSequence | ( |  | ) |

inline

get TreatmentSiteCodeSequence (3010,0078)

Returns
  reference to sequence element

References TreatmentSiteCodeSequence.

## getTreatmentSiteCodeSequence() [2/2]

const DRTTreatmentSiteCodeSequence & DRTPlanOverviewSequence::Item::getTreatmentSiteCodeSequence | ( |  | ) | const

inline

get TreatmentSiteCodeSequence (3010,0078)

Returns
  const reference to sequence element

References TreatmentSiteCodeSequence.

## isEmpty()

OFBool DRTPlanOverviewSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTPlanOverviewSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTPlanOverviewSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTPlanOverviewSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setCurrentFractionNumber()

OFCondition DRTPlanOverviewSequence::Item::setCurrentFractionNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CurrentFractionNumber (3008,0022)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setNumberOfFractionsIncluded()

OFCondition DRTPlanOverviewSequence::Item::setNumberOfFractionsIncluded | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set NumberOfFractionsIncluded (300c,0119)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setPlanOverviewIndex()

OFCondition DRTPlanOverviewSequence::Item::setPlanOverviewIndex | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )

set PlanOverviewIndex (300c,0117)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## setRTPlanLabel()

OFCondition DRTPlanOverviewSequence::Item::setRTPlanLabel | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RTPlanLabel (300a,0002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setTreatmentSite()

OFCondition DRTPlanOverviewSequence::Item::setTreatmentSite | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TreatmentSite (3010,0077)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTPlanOverviewSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtplos.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0